<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__discovery__param__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_discovery_param_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__discovery__param__t_1a1e809f54c45013015923265dda5454d8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__uuid__t">wiced_bt_uuid_t</ref></type>
        <definition>wiced_bt_uuid_t wiced_bt_gatt_discovery_param_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>Service or Characteristic UUID. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="263" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="263" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__discovery__param__t_1a47d7629697589eb6ce030415e65af2a0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_discovery_param_t::s_handle</definition>
        <argsstring />
        <name>s_handle</name>
        <briefdescription>
<para>Start handle for range to search. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="264" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="264" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__discovery__param__t_1a584c255f914b03a6324cfc04863498c2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_discovery_param_t::e_handle</definition>
        <argsstring />
        <name>e_handle</name>
        <briefdescription>
<para>End handle for range to search. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="265" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="265" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Parameters used in a GATT Discovery. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="150">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="149">
        <label>wiced_bt_gatt_discovery_param_t</label>
        <link refid="structwiced__bt__gatt__discovery__param__t" />
        <childnode refid="150" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="266" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="261" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="262" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__discovery__param__t_1a584c255f914b03a6324cfc04863498c2" virt="non-virtual"><scope>wiced_bt_gatt_discovery_param_t</scope><name>e_handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__discovery__param__t_1a47d7629697589eb6ce030415e65af2a0" virt="non-virtual"><scope>wiced_bt_gatt_discovery_param_t</scope><name>s_handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__discovery__param__t_1a1e809f54c45013015923265dda5454d8" virt="non-virtual"><scope>wiced_bt_gatt_discovery_param_t</scope><name>uuid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>